<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Stix
 * @since 1.0.8
 * @version 1.0.8
 */

?>

	</div><!-- .site-content (opened in header.php) -->

	<!-- See /sass/0.variables/_options.scss for details on the classes horizontal-padding and double-vertical-padding -->
	<footer id="colophon" class="site-footer horizontal-padding double-vertical-padding" role="contentinfo">

		<?php stix_footer_widgets( 'footer' ); ?>

		<?php if ( has_nav_menu( 'footer' ) ) { ?>
			<nav id="footer-navigation" class="footer-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Footer Menu', 'stix' ); ?>">
				<?php
				wp_nav_menu(
					array(
						'theme_location' => 'footer',
						'menu_id'        => 'footer-menu',
						'depth'          => -1,
					)
				);
				?>
			</nav><!-- .footer-navigation -->
		<?php } ?>

		<div class="site-info">
			<?php stix_create_copyright(); ?>
			<span><?php esc_html_e( 'Powered by', 'stix' ); ?>
				<a href="<?php echo esc_url( 'https://wordpress.org/', 'stix' ); ?>">
					<?php
					/* translators: %s: CMS name, i.e. WordPress. */
					printf( esc_html( '%s', 'stix' ), 'WordPress' );
					?>
				</a>
				<?php esc_html_e( ' and the ', 'stix' ); ?>
				<a href="<?php echo esc_url( 'https://arnoldgoodway.com/', 'stix' ); ?>">
					<?php
					/* translators: %s: Author URI */
					printf( esc_html( '%s', 'stix' ), 'Stix Theme' );
					?>
				</a>
			</span>
		</div><!-- .site-info -->

	</footer><!-- .site-footer (opened  in header.php ) -->

</div><!-- .site (opened in header.php ) -->

<?php wp_footer(); ?>

</body>
</html>
