<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package WordPress
 * @subpackage Stix
 * @since 1.0.8
 * @version 1.0.8
 */

get_header();
?>

	<div id="primary" class="content-area">

		<main id="main" class="site-main" role="main">

		<?php
		while ( have_posts() ) :
			the_post();

			get_template_part( 'template-parts/content', 'single' );

			stix_single_widgets();

			the_post_navigation(
				array(
					'prev_text'          => __( 'Previous Post: %title', 'stix' ),
					'next_text'          => __( 'Next Post: %title', 'stix' ),
					'screen_reader_text' => __( 'Continue Reading', 'stix' ),
				)
			);

			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;

		endwhile;
		?>

		</main><!-- .site-main -->

	</div><!-- .content-area -->

<?php
get_sidebar();
get_footer();
