<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Stix
 * @since 1.0.8
 * @version 1.0.8
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<header class="entry-header-page" role="banner">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
	</header><!-- .entry-header-page -->

	<?php stix_post_thumbnail(); ?>

	<div class="entry-content">
		<?php the_content(); ?>

		<?php
		$stix_args = array(
			'before'           => '<div class="page-links-XXX"><span class="page-link-text">' . __( 'More Pages: ', 'stix' ) . '</span>',
			'after'            => '</div>',
			'link_before'      => '<span class="page-link">',
			'link_after'       => '</span>',
			'next_or_number'   => 'next',
			'separator'        => ' | ',
			'nextpagelink'     => __( 'Next &raquo', 'stix' ),
			'previouspagelink' => __( '&laquo Previous', 'stix' ),
		);

		wp_link_pages( $stix_args );
		?>

	</div><!-- .entry-content -->

	<?php if ( get_edit_post_link() ) { ?>
		<footer class="entry-footer" role="contentinfo">
			<?php
			edit_post_link(
				sprintf(
					wp_kses(
						/* translators: %s: Name of current post. Only visible to screen readers */
						__( 'Edit <span class="screen-reader-text">%s</span>', 'stix' ),
						array(
							'span' => array(
								'class' => array(),
							),
						)
					),
					get_the_title()
				),
				'<span class="edit-link">',
				'</span>'
			);
			?>
		</footer><!-- .entry-footer -->
	<?php } ?>

</article><!-- #post-<?php the_ID(); ?> -->
